<?php

enum Currently {
	case Exploring;
	case InTown;
	case InCombat;
	case InShop;
	case InInn;
}

enum Currency {
	case Silver;
	case StarGem;

	/**
	 * Convert currency to it's human readable string or DB column name.
	 */
	public function string(bool $db = false): string
	{
		return match($this) {
			Currency::Silver => $db ? 'silver' : 'Silver',
			Currency::StarGem => $db ? 'stargem' : 'Star Gem'
		};
	}
}
